Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - TenantConfiguration

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Tenant Configuration

Tenant settings — auth providers, discovery, approvals, AI features.

Get SAML2 configuration

Get SAML2 configuration.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
authContext
required
string
Enum: "PPT" "UNSPECIFIED" "NONE"

Requested authentication context class.

authContextComparison
required
string
Enum: "EXACT" "MINIMUM" "NONE"

Comparison method for the authentication context.

autoCreateUsers
required
boolean

Whether unknown SAML users are auto-created on first login. If false, SAML users must be created in advance.

certificate
required
string

PEM-encoded X.509 certificate of the identity provider.

enabled
required
boolean

Whether SAML SSO is enabled.

federationIdFromNameId
required
boolean

Whether to use the NameID value as the federation identifier.

idpEntityId
required
string

Entity ID of the identity provider.

loginPage
required
string

URL of the IdP's login page.

nameIdPolicy
required
string
Enum: "UNSPECIFIED" "TRANSIENT" "NONE"

NameID policy format requested from the IdP.

useAsPlatformLogin
required
boolean

Whether to use this SAML configuration as the Boomi Platform login.

attributeDisplayName
string

SAML attribute mapped to the user's display name.

attributeEmail
string

SAML attribute mapped to the user's email address.

attributeRole
string

SAML attribute used to determine the user's role.

attributeRoleAdminValue
string

Value of the role attribute that grants admin access.

object (SamlServiceProviderSettings)

Service provider settings, required when SP-initiated SSO is used.

Response samples

Content type
application/json
{
  • "enabled": true,
  • "loginPage": "string",
  • "idpEntityId": "string",
  • "certificate": "string",
  • "attributeDisplayName": "string",
  • "attributeEmail": "string",
  • "attributeRole": "string",
  • "attributeRoleAdminValue": "string",
  • "serviceProviderSettings": {
    • "spEntityId": "string",
    • "loginResponseUrl": "string"
    },
  • "useAsPlatformLogin": true,
  • "authContext": "PPT",
  • "authContextComparison": "EXACT",
  • "nameIdPolicy": "UNSPECIFIED",
  • "federationIdFromNameId": true,
  • "autoCreateUsers": true
}

Update SAML2 configuration

Update SAML2 configuration. Also enables or disables login via SAML2.

Authorizations:
bearerAuth
Request Body schema: application/json
required
authContext
required
string
Enum: "PPT" "UNSPECIFIED" "NONE"

Requested authentication context class.

authContextComparison
required
string
Enum: "EXACT" "MINIMUM" "NONE"

Comparison method for the authentication context.

autoCreateUsers
required
boolean

Whether unknown SAML users are auto-created on first login. If false, SAML users must be created in advance.

certificate
required
string

PEM-encoded X.509 certificate of the identity provider.

enabled
required
boolean

Whether SAML SSO is enabled.

federationIdFromNameId
required
boolean

Whether to use the NameID value as the federation identifier.

idpEntityId
required
string

Entity ID of the identity provider.

loginPage
required
string

URL of the IdP's login page.

nameIdPolicy
required
string
Enum: "UNSPECIFIED" "TRANSIENT" "NONE"

NameID policy format requested from the IdP.

useAsPlatformLogin
required
boolean

Whether to use this SAML configuration as the Boomi Platform login.

attributeDisplayName
string

SAML attribute mapped to the user's display name.

attributeEmail
string

SAML attribute mapped to the user's email address.

attributeRole
string

SAML attribute used to determine the user's role.

attributeRoleAdminValue
string

Value of the role attribute that grants admin access.

object (SamlServiceProviderSettings)

Service provider settings, required when SP-initiated SSO is used.

Responses

Request samples

Content type
application/json
{
  • "enabled": true,
  • "loginPage": "string",
  • "idpEntityId": "string",
  • "certificate": "string",
  • "attributeDisplayName": "string",
  • "attributeEmail": "string",
  • "attributeRole": "string",
  • "attributeRoleAdminValue": "string",
  • "serviceProviderSettings": {
    • "spEntityId": "string",
    • "loginResponseUrl": "string"
    },
  • "useAsPlatformLogin": true,
  • "authContext": "PPT",
  • "authContextComparison": "EXACT",
  • "nameIdPolicy": "UNSPECIFIED",
  • "federationIdFromNameId": true,
  • "autoCreateUsers": true
}

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Get OIDC configuration

Get OIDC configuration.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
authorizeUrl
required
string

Authorization endpoint URL of the OIDC provider.

clientId
required
string

Client ID registered with the OIDC provider.

clientSecret
required
string

Client secret registered with the OIDC provider.

enabled
required
boolean

Whether OIDC authentication is enabled.

tokenUrl
required
string

Token endpoint URL of the OIDC provider.

loginResponseUrl
string

URL to redirect to after a successful OIDC login.

Response samples

Content type
application/json
{
  • "enabled": true,
  • "authorizeUrl": "string",
  • "tokenUrl": "string",
  • "clientId": "string",
  • "clientSecret": "string",
  • "loginResponseUrl": "string"
}

Update OIDC configuration

Update OIDC configuration. Also enables or disables login via OIDC.

Authorizations:
bearerAuth
Request Body schema: application/json
required
authorizeUrl
required
string

Authorization endpoint URL of the OIDC provider.

clientId
required
string

Client ID registered with the OIDC provider.

clientSecret
required
string

Client secret registered with the OIDC provider.

enabled
required
boolean

Whether OIDC authentication is enabled.

tokenUrl
required
string

Token endpoint URL of the OIDC provider.

loginResponseUrl
string

URL to redirect to after a successful OIDC login.

Responses

Request samples

Content type
application/json
{
  • "enabled": true,
  • "authorizeUrl": "string",
  • "tokenUrl": "string",
  • "clientId": "string",
  • "clientSecret": "string",
  • "loginResponseUrl": "string"
}

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Get LDAP configuration

Get LDAP configuration.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
enabled
required
boolean

Whether LDAP authentication is enabled.

searchBase
required
string

Base DN used for user searches.

technicalUser
required
string

DN of the technical (service) account used to bind to the LDAP server.

technicalUserPassword
required
string

Password of the technical account.

url
required
string

LDAP server URL (ldap:// or ldaps://).

userNameAttribute
required
string

LDAP attribute used as the username for login.

userGroup
string

DN of the LDAP group whose members are granted user access.

adminGroup
string

DN of the LDAP group whose members are granted admin access.

displayNameAttribute
string

LDAP attribute mapped to the user's display name.

emailAttribute
string

LDAP attribute mapped to the user's email address.

serverCertificate
string

PEM-encoded server certificate for ldaps:// connections.

testUser
string

Optional test username for validating the LDAP configuration.

testUserPassword
string

Optional test password for validating the LDAP configuration.

Response samples

Content type
application/json
{
  • "enabled": true,
  • "url": "string",
  • "searchBase": "string",
  • "userGroup": "string",
  • "adminGroup": "string",
  • "userNameAttribute": "string",
  • "displayNameAttribute": "string",
  • "emailAttribute": "string",
  • "technicalUser": "string",
  • "technicalUserPassword": "string",
  • "serverCertificate": "string",
  • "testUser": "string",
  • "testUserPassword": "string"
}

Update LDAP configuration

Update LDAP configuration. Also enables or disables login via LDAP.

Authorizations:
bearerAuth
Request Body schema: application/json
required
enabled
required
boolean

Whether LDAP authentication is enabled.

searchBase
required
string

Base DN used for user searches.

technicalUser
required
string

DN of the technical (service) account used to bind to the LDAP server.

technicalUserPassword
required
string

Password of the technical account.

url
required
string

LDAP server URL (ldap:// or ldaps://).

userNameAttribute
required
string

LDAP attribute used as the username for login.

userGroup
string

DN of the LDAP group whose members are granted user access.

adminGroup
string

DN of the LDAP group whose members are granted admin access.

displayNameAttribute
string

LDAP attribute mapped to the user's display name.

emailAttribute
string

LDAP attribute mapped to the user's email address.

serverCertificate
string

PEM-encoded server certificate for ldaps:// connections.

testUser
string

Optional test username for validating the LDAP configuration.

testUserPassword
string

Optional test password for validating the LDAP configuration.

Responses

Request samples

Content type
application/json
{
  • "enabled": true,
  • "url": "string",
  • "searchBase": "string",
  • "userGroup": "string",
  • "adminGroup": "string",
  • "userNameAttribute": "string",
  • "displayNameAttribute": "string",
  • "emailAttribute": "string",
  • "technicalUser": "string",
  • "technicalUserPassword": "string",
  • "serverCertificate": "string",
  • "testUser": "string",
  • "testUserPassword": "string"
}

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Get general configuration

Get general configuration.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
dateFormat
required
string
Enum: "INTERNATIONAL" "US" "US_WRITTEN_OUT" "GERMAN"
  • INTERNATIONAL: 2020-12-06
  • US: 12/06/2020
  • US_WRITTEN_OUT: December 6, 2020
  • GERMAN: 106.12.2020
timeFormat
required
string
Enum: "INTERNATIONAL" "US"
  • INTERNATIONAL: 13:20:30
  • US: 1:20:30 PM

Response samples

Content type
application/json
{
  • "dateFormat": "INTERNATIONAL",
  • "timeFormat": "INTERNATIONAL"
}

Update general configuration

Update general configuration.

Authorizations:
bearerAuth
Request Body schema: application/json
required
dateFormat
required
string
Enum: "INTERNATIONAL" "US" "US_WRITTEN_OUT" "GERMAN"
  • INTERNATIONAL: 2020-12-06
  • US: 12/06/2020
  • US_WRITTEN_OUT: December 6, 2020
  • GERMAN: 106.12.2020
timeFormat
required
string
Enum: "INTERNATIONAL" "US"
  • INTERNATIONAL: 13:20:30
  • US: 1:20:30 PM

Responses

Request samples

Content type
application/json
{
  • "dateFormat": "INTERNATIONAL",
  • "timeFormat": "INTERNATIONAL"
}

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Get discovery configuration

Get discovery configuration.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
apiDiscoveryNameStrategy
required
string
Enum: "NAME_IN_GATEWAY" "TITLE_IN_API_SPEC" "FIRST_TAG_IN_API_SPEC"

Strategy used to derive API names during discovery.

applicationDiscoveryMergingStrategy
string
Enum: "NEVER" "BY_NAME"

Strategy for merging discovered applications across environments.

Response samples

Content type
application/json
{
  • "apiDiscoveryNameStrategy": "NAME_IN_GATEWAY",
  • "applicationDiscoveryMergingStrategy": "NEVER"
}

Update discovery configuration

Update discovery configuration.

Authorizations:
bearerAuth
Request Body schema: application/json
required
apiDiscoveryNameStrategy
required
string
Enum: "NAME_IN_GATEWAY" "TITLE_IN_API_SPEC" "FIRST_TAG_IN_API_SPEC"

Strategy used to derive API names during discovery.

applicationDiscoveryMergingStrategy
string
Enum: "NEVER" "BY_NAME"

Strategy for merging discovered applications across environments.

Responses

Request samples

Content type
application/json
{
  • "apiDiscoveryNameStrategy": "NAME_IN_GATEWAY",
  • "applicationDiscoveryMergingStrategy": "NEVER"
}

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Get approval request configuration

Get approval request configuration.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
subscriptionApprovalRequired
required
string
Enum: "OFF" "RESTRICTED" "PUBLIC" "ALL"

Whether subscription requests require manual approval.

subscriptionAutoApproval
required
string
Enum: "ADMIN_ONLY" "ALL_USERS" "OFF"

When subscriptions are auto-approved without manual review.

Response samples

Content type
application/json
{
  • "subscriptionApprovalRequired": "OFF",
  • "subscriptionAutoApproval": "ADMIN_ONLY"
}

Update approval request configuration

Update approval request configuration.

Authorizations:
bearerAuth
Request Body schema: application/json
required
subscriptionApprovalRequired
required
string
Enum: "OFF" "RESTRICTED" "PUBLIC" "ALL"

Whether subscription requests require manual approval.

subscriptionAutoApproval
required
string
Enum: "ADMIN_ONLY" "ALL_USERS" "OFF"

When subscriptions are auto-approved without manual review.

Responses

Request samples

Content type
application/json
{
  • "subscriptionApprovalRequired": "OFF",
  • "subscriptionAutoApproval": "ADMIN_ONLY"
}

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Get AI configuration

Get AI config. Includes whether Boomi AI terms and conditions have been accepted and where they must be accepted.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
accepted
required
boolean

True if the Boomi AI terms and conditions have been accepted. For tenants linked with Boomi accounts, they would have been accepted in the boomi platform. For other tenants, they would have been accepted in API Control Plane.

uiEnabled
boolean

False if customer has opted out of AI features. In that case, no UI features should show up in frontend, at all.

synchronizedWithBoomi
boolean

True if this tenant is linked with a Boomi account and the acceptance of Boomi AI terms and conditions is controlled from there. In that case, you cannot accept the Boomi AI terms and conditions in API Control Plane and must go to Boomi platform instead.

Response samples

Content type
application/json
{
  • "accepted": true,
  • "uiEnabled": true,
  • "synchronizedWithBoomi": true
}

Update AI configuration

Update AI config. Use this to accept the Boomi AI terms and conditions for tenants that are not linked to a Boomi account.

Authorizations:
bearerAuth
Request Body schema: application/json
required
accepted
required
boolean

True if the Boomi AI terms and conditions have been accepted. For tenants linked with Boomi accounts, they would have been accepted in the boomi platform. For other tenants, they would have been accepted in API Control Plane.

Responses

Request samples

Content type
application/json
{
  • "accepted": true
}

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Test LDAP configuration

Test LDAP configuration. The current LDAP configuration will not be affected by this.

Authorizations:
bearerAuth
Request Body schema: application/json
required
enabled
required
boolean

Whether LDAP authentication is enabled.

searchBase
required
string

Base DN used for user searches.

technicalUser
required
string

DN of the technical (service) account used to bind to the LDAP server.

technicalUserPassword
required
string

Password of the technical account.

url
required
string

LDAP server URL (ldap:// or ldaps://).

userNameAttribute
required
string

LDAP attribute used as the username for login.

userGroup
string

DN of the LDAP group whose members are granted user access.

adminGroup
string

DN of the LDAP group whose members are granted admin access.

displayNameAttribute
string

LDAP attribute mapped to the user's display name.

emailAttribute
string

LDAP attribute mapped to the user's email address.

serverCertificate
string

PEM-encoded server certificate for ldaps:// connections.

testUser
string

Optional test username for validating the LDAP configuration.

testUserPassword
string

Optional test password for validating the LDAP configuration.

Responses

Request samples

Content type
application/json
{
  • "enabled": true,
  • "url": "string",
  • "searchBase": "string",
  • "userGroup": "string",
  • "adminGroup": "string",
  • "userNameAttribute": "string",
  • "displayNameAttribute": "string",
  • "emailAttribute": "string",
  • "technicalUser": "string",
  • "technicalUserPassword": "string",
  • "serverCertificate": "string",
  • "testUser": "string",
  • "testUserPassword": "string"
}

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}